import * as grpc from 'grpc';
export declare type CallHeaderValue = grpc.MetadataValue | Array<grpc.MetadataValue>;
export declare type CallHeaders = {
    [key: string]: CallHeaderValue;
};
export declare class CallArgument<T = any> {
    readonly server: grpc.Server;
    readonly service: string;
    readonly method: string;
    private readonly _call;
    private readonly _outHeaders;
    readonly callStart: number;
    constructor(server: grpc.Server, service: string, method: string, _call: grpc.ServerUnaryCall<T>);
    get cancelled(): boolean;
    get client(): string;
    get headers(): CallHeaders;
    set(key: string, value: CallHeaderValue | undefined): void;
    responseMetadata(): grpc.Metadata;
}
